---
title: "getCommonEdge"
subtitle: "Function in std::sketch"
excerpt: "Get the shared edge between two faces."
layout: manual
---

Get the shared edge between two faces.

```kcl
getCommonEdge(faces: [TagIdentifier]): Uuid
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `faces` | [`[TagIdentifier]`](/docs/kcl-lang/types#TagIdentifier) | The tags of the faces you want to find the common edge between | Yes |

### Returns

`Uuid`


### Examples

```kcl
// Get an edge shared between two faces, created after a chamfer.


scale = 20
part001 = startSketchOn(XY)
  |> startProfile(at = [0, 0])
  |> line(end = [0, scale])
  |> line(end = [scale, 0])
  |> line(end = [0, -scale])
  |> close(tag = $line0)
  |> extrude(length = 20, tagEnd = $end0)
  // We tag the chamfer to reference it later.
  |> chamfer(length = 10, tags = [getOppositeEdge(line0)], tag = $chamfer0)

// Get the shared edge between the chamfer and the extrusion.
commonEdge = getCommonEdge(faces = [chamfer0, end0])

// Chamfer the shared edge.
// TODO: uncomment this when ssi for fillets lands
// chamfer(part001, length = 5, tags = [commonEdge])
```

![Rendered example of getCommonEdge 0](data:image/png;base64,[encoded data, 191252 characters])


